Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.cas.text
Interface AnnotationTreeNode

    public interface AnnotationTreeNode

Represents a node in an annotation tree.

Method Summary
`AnnotationFS` | `get()` Return the annotation for this node.
`AnnotationTreeNode` | `getChild(int i)` Get the i-th child of this node.
`int` | `getChildCount()` Get the number of children this node has.
`ArrayList` | `getChildren()` Get all children of this node as an ArrayList.
`AnnotationTreeNode` | `getNextSibling()` Get the next sibling (to the right) of this node.
`AnnotationTreeNode` | `getParent()` Get the parent of this node.
`AnnotationTreeNode` | `getPreviousSibling()` Get the previous sibling (to the left) of this node.

Method Detail

### getParent

    AnnotationTreeNode getParent()

  Get the parent of this node.

  Returns:
    The parent of this node, or `null` if this node has no parent (root).

### getChildCount

    int getChildCount()

  Get the number of children this node has.

  Returns:
    The number of children.

### getChild

    AnnotationTreeNode getChild(int i)
                                throws CASRuntimeException

  Get the i-th child of this node.

  Parameters:
    `i` - The index of the child.
  Returns:
    The i-th child.
  Throws:
    `CASRuntimeException` - If `i < 0` or `i >= getChildCount()`.

### getNextSibling

    AnnotationTreeNode getNextSibling()

  Get the next sibling (to the right) of this node.

  Returns:
    The right sibling of this node, or `null` if no such sibling exists.

### getPreviousSibling

    AnnotationTreeNode getPreviousSibling()

  Get the previous sibling (to the left) of this node.

  Returns:
    The left sibling of this node, or `null` if no such sibling exists.

### getChildren

    ArrayList getChildren()

  Get all children of this node as an ArrayList.

  Returns:
    An ArrayList of the children.

### get

    AnnotationFS get()

  Return the annotation for this node.

  Returns:
    The annotation for this node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.